# 文件路径: /home/git_proxy/clash-subscription/clash-config.yaml
# 功能: Clash完整配置文件（用于订阅链接）
# 说明: 包含新加坡服务器代理节点配置

port: 7890
socks-port: 7891
allow-lan: false
mode: rule
log-level: warning  # 减少日志输出
external-controller: 127.0.0.1:9090

# 性能优化
tun:
  enable: false
dns:
  enable: true
# 连接优化
proxy-providers: {}
rule-providers: {}
# 减少延迟
tcp-concurrent: true

# DNS配置（优化）
dns:
  enable: true
  listen: 0.0.0.0:53
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  nameserver:
    - 8.8.8.8
    - 8.8.4.4
    - 223.5.5.5  # 阿里DNS（国内更快）
  fallback:
    - 8.8.8.8
    - 8.8.4.4
  fallback-filter:
    geoip: true
    ipcidr:
      - 240.0.0.0/4

# 代理节点
proxies:
  - name: "新加坡服务器-HTTP"
    type: http
    server: 47.237.167.77
    port: 1080
    # 性能优化参数
    tls: false
    skip-cert-verify: true
    # 如果需要认证，取消下面的注释并填写
    # username: your_username
    # password: your_password

  - name: "新加坡服务器-SOCKS5"
    type: socks5
    server: 47.237.167.77
    port: 1081
    # 性能优化参数
    tls: false
    skip-cert-verify: true
    # 如果需要认证，取消下面的注释并填写
    # username: your_username
    # password: your_password

# 代理组
proxy-groups:
  - name: "🚀 节点选择"
    type: select
    proxies:
      - "新加坡服务器-HTTP"
      - "新加坡服务器-SOCKS5"
      - DIRECT

  - name: "♻️ 自动选择"
    type: url-test
    proxies:
      - "新加坡服务器-HTTP"
      - "新加坡服务器-SOCKS5"
    url: 'http://www.gstatic.com/generate_204'
    interval: 300
    timeout: 5000  # 5秒超时
    tolerance: 50  # 延迟容差50ms

  - name: "🔯 全球直连"
    type: select
    proxies:
      - DIRECT
      - "新加坡服务器-HTTP"
      - "新加坡服务器-SOCKS5"

# 规则
rules:
  # GitHub相关
  - DOMAIN-SUFFIX,github.com,🚀 节点选择
  - DOMAIN-SUFFIX,githubusercontent.com,🚀 节点选择
  - DOMAIN-SUFFIX,github.io,🚀 节点选择
  - DOMAIN-SUFFIX,githubapp.com,🚀 节点选择
  
  # 其他常用网站
  - DOMAIN-SUFFIX,google.com,🚀 节点选择
  - DOMAIN-SUFFIX,youtube.com,🚀 节点选择
  
  # 中国大陆网站直连
  - GEOIP,CN,🔯 全球直连
  
  # 默认规则
  - MATCH,🚀 节点选择
